> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open-aspm.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Allowlist



## OpenAPI

````yaml api-reference/openapi.json get /whitelist/
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://example.com/api
    description: Replace example.com with your app server
security: []
paths:
  /whitelist/:
    get:
      tags:
        - Allowlist
      summary: Fetch Allowlist
      operationId: fetch_whitelist_whitelist__get
      parameters:
        - name: vc_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: integer
                type: array
              - type: 'null'
            title: Vc Ids
        - name: repo_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: integer
                type: array
              - type: 'null'
            title: Repo Ids
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 10
            title: Limit
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Sort by field, e.g., vcs, repos
            default: id
            title: Sort By
          description: Sort by field, e.g., vcs, repos
        - name: order_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: 'Order direction: asc or desc'
            default: asc
            title: Order By
          description: 'Order direction: asc or desc'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                title: Response Fetch Whitelist Whitelist  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````